Bug 1642118 - Review Request: strawberry - An audio player and music collection organizer
Summary: Review Request: strawberry - An audio player and music collection organizer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-23 16:13 UTC by Robert-André Mauchin
Modified: 2018-11-13 02:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-13 02:21:40 UTC
loganjerry: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 2018-10-23 16:13:01 UTC
Spec URL: https://eclipseo.fedorapeople.org/strawberry.spec
SRPM URL: https://eclipseo.fedorapeople.org/strawberry-0.3.3-1.fc30.src.rpm

Description:
Strawberry is a audio player and music collection organizer.
It is a fork of Clementine. The name is inspired by the band Strawbs.

Features:
  * Play and organize music
  * Supports WAV, FLAC, WavPack, DSF, DSDIFF, Ogg Vorbis, Speex, MPC, TrueAudio, AIFF, MP4, MP3 and ASF
  * Audio CD playback
  * Native desktop notifications
  * Playlists in multiple formats
  * Advanced output and device options with support for bit perfect playback on Linux
  * Edit tags on music files
  * Fetch tags from MusicBrainz
  * Album cover art from Last.fm, Musicbrainz and Discogs
  * Song lyrics from AudD and API Seeds
  * Support for multiple backends
  * Audio analyzer
  * Equalizer
  * Transfer music to iPod, iPhone, MTP or mass-storage USB player
  * Integrated Tidal support

Fedora Account System Username: eclipseo

Comment 1 Jerry James 2018-10-25 02:06:07 UTC
I will take this review.

Comment 2 Jerry James 2018-10-25 03:13:59 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
1. The license is not simply GPLv3+, I think.  For example, the bundled qocoa
   library is MIT, but includes some icons that are LGPL (unknown version), and
   some that are CC-BY-SA.  The bundled utf8-cpp library is MIT.  Some code is
   ASL 2.0; e.g., src/core/timeconstants.h.  One icon,
   data/pictures/strawbs-transparent.png, is CC0 (but doesn't appear to be
   installed; should it be?).  Lots of files are LGPLv2, and it is not clear
   whether they have the "or any later version" phrase attached to them.  We
   need some kind of breakdown showing what licenses apply to the final binary.

2. Speaking of bundled libraries, the necessary Provides are missing.  See
   https://fedoraproject.org/wiki/Packaging:Guidelines#Bundling_and_Duplication_of_system_libraries

3. Output from rpmlint:
strawberry.x86_64: E: description-line-too-long C   * Supports WAV, FLAC, WavPack, DSF, DSDIFF, Ogg Vorbis, Speex, MPC, TrueAudio, AIFF, MP4, MP3 and ASF
strawberry.x86_64: E: description-line-too-long C   * Advanced output and device options with support for bit perfect playback on Linux

   Some applications that show descriptions from RPM files have limited line
   length.  I usually wrap %description lines at 72 characters, which seems to
   display well most of the time.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* MPL (v1.1) LGPL (v2.1)", "*No
     copyright* LGPL (v2 or later)", "GPL (v2 or later)", "GPL (v3 or
     later)", "Unknown or generated", "MIT/X11 (BSD like)", "*No copyright*
     GPL (v3 or later)", "*No copyright* CC by-sa (v3.0) LGPL", "MPL (v1.1)
     LGPL (v2.1)", "CC0", "BSL", "LGPL (v2.1)", "GPL (v2 or later) (with
     incorrect FSF address)". 712 files have unknown license. Detailed
     output of licensecheck in
     /home/jamesjer/1642118-strawberry/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.4.13 starting (python version = 3.6.6)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled HW Info plugin
Mock Version: 1.4.13
INFO: Mock Version: 1.4.13
Finish: chroot init
INFO: installing package(s): /home/jamesjer/1642118-strawberry/results/strawberry-debuginfo-0.3.3-1.fc30.x86_64.rpm /home/jamesjer/1642118-strawberry/results/strawberry-0.3.3-1.fc30.x86_64.rpm /home/jamesjer/1642118-strawberry/results/strawberry-debugsource-0.3.3-1.fc30.x86_64.rpm
ERROR: Command failed: 
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 30 --disableplugin=local --setopt=deltarpm=False install /home/jamesjer/1642118-strawberry/results/strawberry-debuginfo-0.3.3-1.fc30.x86_64.rpm /home/jamesjer/1642118-strawberry/results/strawberry-0.3.3-1.fc30.x86_64.rpm /home/jamesjer/1642118-strawberry/results/strawberry-debugsource-0.3.3-1.fc30.x86_64.rpm


This was because the necessary version of qtiocompressor has not yet been in a
Rawhide compose.  This will go away after the next compose.


Rpmlint
-------
Checking: strawberry-0.3.3-1.fc30.x86_64.rpm
          strawberry-debuginfo-0.3.3-1.fc30.x86_64.rpm
          strawberry-debugsource-0.3.3-1.fc30.x86_64.rpm
          strawberry-0.3.3-1.fc30.src.rpm
strawberry.x86_64: W: spelling-error %description -l en_US fm -> FM, Fm, gm
strawberry.x86_64: E: description-line-too-long C   * Supports WAV, FLAC, WavPack, DSF, DSDIFF, Ogg Vorbis, Speex, MPC, TrueAudio, AIFF, MP4, MP3 and ASF
strawberry.x86_64: E: description-line-too-long C   * Advanced output and device options with support for bit perfect playback on Linux
strawberry.src: W: spelling-error %description -l en_US fm -> FM, Fm, gm
strawberry.src: E: description-line-too-long C   * Supports WAV, FLAC, WavPack, DSF, DSDIFF, Ogg Vorbis, Speex, MPC, TrueAudio, AIFF, MP4, MP3 and ASF
strawberry.src: E: description-line-too-long C   * Advanced output and device options with support for bit perfect playback on Linux
4 packages and 0 specfiles checked; 4 errors, 2 warnings.




Requires
--------
strawberry (rpmlib, GLIBC filtered):
    gstreamer1-plugins-good
    hicolor-icon-theme
    libQt5Concurrent.so.5()(64bit)
    libQt5Concurrent.so.5(Qt_5)(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.11)(64bit)
    libQt5DBus.so.5()(64bit)
    libQt5DBus.so.5(Qt_5)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libQt5Solutions_SingleApplication-2.6.so.1()(64bit)
    libQt5Solutions_SingleCoreApplication-2.6.so.1()(64bit)
    libQt5Sql.so.5()(64bit)
    libQt5Sql.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5X11Extras.so.5()(64bit)
    libQt5X11Extras.so.5(Qt_5)(64bit)
    libQxtWidgets-qt5.so.0()(64bit)
    libasound.so.2()(64bit)
    libasound.so.2(ALSA_0.9)(64bit)
    libc.so.6()(64bit)
    libcdio.so.18()(64bit)
    libcdio.so.18(CDIO_18)(64bit)
    libchromaprint.so.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgpod.so.4()(64bit)
    libgstapp-1.0.so.0()(64bit)
    libgstreamer-1.0.so.0()(64bit)
    libgsttag-1.0.so.0()(64bit)
    liblastfm5.so.1()(64bit)
    libm.so.6()(64bit)
    libmtp.so.9()(64bit)
    libprotobuf.so.15()(64bit)
    libpthread.so.0()(64bit)
    libpulse.so.0()(64bit)
    libpulse.so.0(PULSE_0)(64bit)
    libsha2.so.1()(64bit)
    libsqlite3.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    qca-qt5-ossl(x86-64)
    qtiocompressor
    rtld(GNU_HASH)

strawberry-debugsource (rpmlib, GLIBC filtered):

strawberry-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
strawberry:
    application()
    application(strawberry.desktop)
    metainfo()
    metainfo(strawberry.appdata.xml)
    mimehandler(application/ogg)
    mimehandler(application/x-ogg)
    mimehandler(application/x-ogm-audio)
    mimehandler(audio/aac)
    mimehandler(audio/flac)
    mimehandler(audio/mp4)
    mimehandler(audio/mpeg)
    mimehandler(audio/mpegurl)
    mimehandler(audio/ogg)
    mimehandler(audio/vnd.rn-realaudio)
    mimehandler(audio/vorbis)
    mimehandler(audio/x-flac)
    mimehandler(audio/x-mp3)
    mimehandler(audio/x-mpeg)
    mimehandler(audio/x-mpegurl)
    mimehandler(audio/x-ms-wma)
    mimehandler(audio/x-musepack)
    mimehandler(audio/x-oggflac)
    mimehandler(audio/x-pn-realaudio)
    mimehandler(audio/x-scpls)
    mimehandler(audio/x-speex)
    mimehandler(audio/x-vorbis)
    mimehandler(audio/x-vorbis+ogg)
    mimehandler(audio/x-wav)
    mimehandler(video/x-ms-asf)
    mimehandler(x-content/audio-player)
    strawberry
    strawberry(x86-64)

strawberry-debugsource:
    strawberry-debugsource
    strawberry-debugsource(x86-64)

strawberry-debuginfo:
    debuginfo(build-id)
    strawberry-debuginfo
    strawberry-debuginfo(x86-64)



Source checksums
----------------
https://github.com/jonaski/strawberry/archive/0.3.3/strawberry-0.3.3.tar.gz :
  CHECKSUM(SHA256) this package     : 0cb6c54cadc732bedeb3bb1afa8cf16398e514afe4373955728b4afa0e2dd828
  CHECKSUM(SHA256) upstream package : 0cb6c54cadc732bedeb3bb1afa8cf16398e514afe4373955728b4afa0e2dd828


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1642118 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Robert-André Mauchin 2018-10-25 10:44:25 UTC
Spec URL: https://eclipseo.fedorapeople.org/strawberry.spec
SRPM URL: https://eclipseo.fedorapeople.org/strawberry-0.3.3-1.fc30.src.rpm


Thanks for the review!

I have detailed the licenses as much as I can and installed the 3rd pasty license files.

I have fix the description so that it stays below 80 characters per line.

Comment 4 Jerry James 2018-10-25 23:00:31 UTC
Okay, looks good.  This package is APPROVED.

Comment 5 Gwyn Ciesla 2018-10-26 13:16:59 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/strawberry

Comment 6 Fedora Update System 2018-10-26 17:59:22 UTC
strawberry-0.3.3-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f40a343541

Comment 7 Fedora Update System 2018-10-26 19:15:59 UTC
strawberry-0.3.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-11220e6b00

Comment 8 Fedora Update System 2018-10-27 15:35:19 UTC
strawberry-0.3.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-11220e6b00

Comment 9 Fedora Update System 2018-10-31 18:49:33 UTC
strawberry-0.3.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f40a343541

Comment 10 Fedora Update System 2018-11-01 22:17:12 UTC
strawberry-0.4.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-61df04a80c

Comment 11 Fedora Update System 2018-11-01 22:47:09 UTC
strawberry-0.4.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-082b5d126e

Comment 12 Fedora Update System 2018-11-02 16:55:49 UTC
strawberry-0.4.1-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a4405bbd44

Comment 13 Fedora Update System 2018-11-02 17:30:29 UTC
strawberry-0.4.1-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8a2d48570a

Comment 14 Fedora Update System 2018-11-02 23:41:56 UTC
strawberry-0.4.1-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8a2d48570a

Comment 15 Fedora Update System 2018-11-03 00:55:16 UTC
strawberry-0.4.1-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a4405bbd44

Comment 16 Fedora Update System 2018-11-13 02:21:40 UTC
strawberry-0.4.1-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-11-13 02:27:07 UTC
strawberry-0.4.1-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.